%define 	VER		6.6.5
%define		Patchlevel 	4

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		ImageMagick 
Version:	%{VER}.%{Patchlevel}
Release:	1
License:	GNU/GPL compatible
URL:		http://www.imagemagick.org
Group:		Graphics
Source0:	%{name}-%{VER}-%{Patchlevel}.tar.xz
Patch0:		%{name}-6.2.6-local-docs.patch
Patch1:		%{name}-6.2.6-browser.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	ImageMagick(TM) is a package for the automated and interative manipulation of images.
BuildRequires:	giflib-devel
BuildRequires:	ghostscript-devel
BuildRequires:	fftw-devel

BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXdamage-devel

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: djvulibre-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: graphviz-devel
BuildRequires: gtk2+-devel
BuildRequires: ilmbase-devel
BuildRequires: jasper-devel
BuildRequires: jbigkit-devel
BuildRequires: lcms-devel
BuildRequires: libcroco-devel
BuildRequires: libfpx-devel
BuildRequires: libgcc
BuildRequires: libgomp
BuildRequires: libgsf-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: librsvg-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libtool-devel
BuildRequires: libwmf-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXext-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: OpenEXR-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
ImageMagick(TM) is a package for the automated and interative manipulation of images.
It supports the display and interactive manipulation of images when used with the X Window System.
Although the software is copyrighted by ImageMagick Studio, it is available for free and can be
redistributed without fee. ImageMagick may be used as a component of both open source and proprietary
applications. ImageMagick compiles and runs under Unix, Linux, Windows '95 and later, Apple MacOS,
and Compaq VMS. Binary packages are available for most operating systems. Application programming
interfaces (APIs) are provided to support development of image processing applications
in the C, C++, and Perl languages.
For more details see: http://www.imagemagick.org

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{VER}%{?Patchlevel:-%{Patchlevel}}
# Use locally installed docs
#%patch0 -p1
# Don't use proprietary junk
#%patch1 -p1
#libtoolize --force
#aclocal
#automake
#autoconf
#autoreconf

%build
export FFLAGS="-Os -march=i686 -pipe -fomit-frame-pointer"
export LDFLAGS="$LDFLAGS -I/usr/include/ps"
%configure \
--enable-shared \
--with-modules \
--with-perl \
--with-x \
--with-threads \
--disable-openmp \
--disable-opencl \
--with-magick-plus-plus \
--with-wmf \
--with-gs-font-dir=%_datadir/ghostscript/fonts \
--with-fpx \
--with-perl-options="CC='%__cc -L$PWD/magick/.libs' LD='%__ld -L$PWD/magick/.libs'" \
--enable-hdri
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name "*.bs" |xargs rm -f
find $RPM_BUILD_ROOT -name ".packlist" |xargs rm -f
cd $RPM_BUILD_ROOT%_libdir
ln -sf libMagick.so.10 libMagick.so.0
# Don't make libtool files executable
find $RPM_BUILD_ROOT -name "*.la" |xargs chmod 0644
# Finally, remove some support files for proprietary junk
rm -f $RPM_BUILD_ROOT%_libdir/ImageMagick-%VER/config/type-windows.mgk
rm -f $RPM_BUILD_ROOT%_libdir/ImageMagick-%VER/config/type-solaris.mgk
rm -rf $RPM_BUILD_ROOT%_libdir/perl5/5*/*/perllocal.pod
# libtool provides these
rm -f $RPM_BUILD_ROOT/usr/lib/libltdl*
rm -f  $RPM_BUILD_ROOT%_libdir/ImageMagick-*/modules*/*/*.a

%files
%defattr(-,root,root)
%attr(755,root,root) %_libdir/libMagick.so.*
%_bindir/[a-zM]*
%_libdir/ImageMagick*
%_libdir/libMagick++.so.*
%_libdir/libMagickCore.so.*
%_libdir/libMagickWand.so.*
%_datadir/ImageMagick*

%_libdir/perl5/site_perl/5*/*/Image/Magick.pm
%_libdir/perl5/site_perl/5*/*/auto/Image/Magick/Magick.so
%_libdir/perl5/site_perl/5*/*/auto/Image/Magick/autosplit.ix
%_mandir
%_docdir   

%files devel
%defattr(-,root,root)
%_bindir/Wand-config
%_bindir/Magick-config
%_mandir/man1/Magick-config.1.gz
%_mandir/man1/Wand-config.1.gz
%_mandir/man1/Magick++-config.1.gz
%_libdir/libMagickCore.so
%_libdir/libMagickCore.a
%_libdir/libMagick++.a
%_libdir/libMagick++.so
%_libdir/libMagickWand.a
%_libdir/libMagickWand.so
%_libdir/*.la
%_libdir/pkgconfig/Wand.pc
%_libdir/pkgconfig/ImageMagick.pc
%_libdir/pkgconfig/ImageMagick++.pc
%_libdir/pkgconfig/Magick++.pc
%_libdir/pkgconfig/MagickCore.pc
%_libdir/pkgconfig/MagickWand.pc
%_includedir/ImageMagick

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.6.5.4-1
- Version update
* Thu Aug 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.5.4.8-1
- Version update
* Tue Jun 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.4.2.0-1
- Version update
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.4.1.0-1
- Version update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.4.0.11-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.3.9.3-2
- removed compatibility links
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.3.9.3-1
- Version update
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 6.3.7.8-1
- Version Update
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.3.7.2-1
- Version update
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.3.5.9-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.3.5.5-1
- Version update
- built against GNU Ghostscript 8.60
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.3.5.0-1
- Version update
* Tue Apr 24 2007 Christian Metzen <metzench@ccux-linux.de> 6.3.3.10-1
- Version update
* Thu Mar 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 6.3.3.3-1
- Version Update
* Sun Feb 11 2007 Christian Metzen <metzench@ccux-linux.de> 6.3.2.4-1
- Version update
- rebuild against giflib, changed deps
* Wed Oct 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.2.9.8-2
- removed perllocal.pod file
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 6.2.9.8-1
- Version update
* Mon Aug 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.2.9.2-1
- Version Update
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 6.2.7.6-1
- Version Update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.2.7.0-1
- Version Update
* Sat Mar 18 2006 Christian Metzen <metzench@ccux-linux.de> 6.2.6.4-2
- rebuilt
* Tue Jan 24 2006 Christian Wasem <wasem@ccux-linux.de> 6.2.6.0-1
- Update to Version 6.2.6.0
* Sat Jan 07 2006 Stefan Gottwald <gotti@ccux-linux.de> 6.2.5.5-2
- rebuilt against perl 5.8.7
- added build libMagick++ libraries for nmm support
- added jasper for jp2000 support and jbigkit for jbig support as requirement
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 6.2.5.5-1
- Version update
* Sat Nov 19 2005 Christian Wasem <wasem@ccux-linux.de> 6.2.5.4-3
- rebuilt, tweaked specfile
* Mon Oct 31 2005 Christian Wasem <wasem@ccux-linux.de> 6.2.5.4-2
- Update to Version 6.2.5.4, removed perl replacements with patches
* Mon Oct 17 2005 Christian Wasem <wasem@ccux-linux.de> 6.2.5.2-1
- Update to Version 6.2.5.2
* Mon Sep 12 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4.5-2
- Minor Bugfix
* Mon Sep 12 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4.5-1
- Version update
* Sun Sep 04 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4.4-1
- Changed versioning scheme
* Sun Sep 04 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4-7
- Fixed minor Bug
* Sun Sep 04 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4-6
- Version update
* Mon Aug 29 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4-5
- Altered group
* Sun Aug 28 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4-4
- Removed wrong obsoletes Tag
* Sun Aug 28 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4-3
- Version update
* Mon Aug 22 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4-2
- Version update
* Wed Aug 17 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.4-1
- Version update
* Thu Jun 23 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.3-4
- Fixed Installation Bug
* Thu Jun 23 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.3-3
- 6.2.3-3, moved static files to devel package
* Tue Jun 14 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.3-2
- Version update to 6.2.3-1
* Sun May 22 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.3-1
- Version update to 6.2.3-0
* Sun May 15 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.2-1
- Version update to 6.2.2-4
* Sat Mar 05 2005 Christian Metzen <metzench@ccux-linux.de> 6.2.0-1
- Version Update to 6.2.0-5
* Wed Feb 09 2005 Christian Wasem <wasem@ccux-linux.de> 6.1.9-1
- update to version 6.1.9-1  
* Sun Nov 28 2004 Christian Wasem <wasem@ccux-linux.de> 6.1.0-1
- Initial Release
